package com.inkasso.factoring.creditmanagement.entity.vo;

import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * 工商登记股东
 * </p>
 *
 * @author liutao
 * @since 2023-11-22
 */
public class CRegStock extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 投资人姓名
     */
    private String stockName;

    /**
     * 投资人类型
     */
    private String stockType;

    /**
     * 持股比例
     */
    private String stockPercent;

    /**
     * 持股比例
     */
    private double percent;

    /**
     * 认缴出资额（万元）
     */
    private String shouldCapi;

    /**
     * 认缴出资时间，精确到天，如“2022-01-01”
     */
    private String shouldDate;

    /**
     * 参股日期，精确到天，如“2022-01-01”
     */
    private String stakeDate;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 国籍（或地区）/注册地
     */
    private String area;

    /**
     * 综合风险排查信息表id
     */
    private Long comprehensiveRiskInvestigationId;

    public double getPercent() {
        return percent;
    }

    public void setPercent(double percent) {
        this.percent = percent;
    }

    public String getStockName() {
        return stockName;
    }

    public void setStockName(String stockName) {
        this.stockName = stockName;
    }
    public String getStockType() {
        return stockType;
    }

    public void setStockType(String stockType) {
        this.stockType = stockType;
    }
    public String getStockPercent() {
        return stockPercent;
    }

    public void setStockPercent(String stockPercent) {
        this.stockPercent = stockPercent;
    }
    public String getShouldCapi() {
        return shouldCapi;
    }

    public void setShouldCapi(String shouldCapi) {
        this.shouldCapi = shouldCapi;
    }
    public String getShouldDate() {
        return shouldDate;
    }

    public void setShouldDate(String shouldDate) {
        this.shouldDate = shouldDate;
    }
    public String getStakeDate() {
        return stakeDate;
    }

    public void setStakeDate(String stakeDate) {
        this.stakeDate = stakeDate;
    }
    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }
    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }
    public Long getComprehensiveRiskInvestigationId() {
        return comprehensiveRiskInvestigationId;
    }

    public void setComprehensiveRiskInvestigationId(Long comprehensiveRiskInvestigationId) {
        this.comprehensiveRiskInvestigationId = comprehensiveRiskInvestigationId;
    }

    @Override
    public String toString() {
        return "CRegStock{" +
            "stockName=" + stockName +
            ", stockType=" + stockType +
            ", stockPercent=" + stockPercent +
            ", shouldCapi=" + shouldCapi +
            ", shouldDate=" + shouldDate +
            ", stakeDate=" + stakeDate +
            ", creditCode=" + creditCode +
            ", area=" + area +
            ", comprehensiveRiskInvestigationId=" + comprehensiveRiskInvestigationId +
        "}";
    }
}
